package com.entity;

import java.sql.Date;

/**
 *
 * Bean for project.
 *
 * @author Laurentiu Marcut
 */
public class Project {

    private String name;
    private String createdBy;
    private Date createdDate;
    private Date finishedDate;
    private Date lastOpenDate;

    /**
     *
     * Getter name.
     *
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     *
     * Setter name.
     *
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     *
     * Getter created by.
     *
     * @return created by
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     *
     * Setter created by.
     *
     * @param createdBy
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     *
     * Getter created date.
     *
     * @return created date
     */
    public Date getCreatedDate() {
        return createdDate;
    }

    /**
     *
     * Setter created date.
     *
     * @param createdDate
     */
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    /**
     *
     * Getter finished date.
     *
     * @return finished date
     */
    public Date getFinishedDate() {
        return finishedDate;
    }

    /**
     *
     * Setter finished date.
     *
     * @param finishedDate
     */
    public void setFinishedDate(Date finishedDate) {
        this.finishedDate = finishedDate;
    }

    /**
     *
     * Getter last open date.
     *
     * @return last open date
     */
    public Date getLastOpenDate() {
        return lastOpenDate;
    }

    /**
     *
     * Setter last open date.
     *
     * @param lastOpenDate
     */
    public void setLastOpenDate(Date lastOpenDate) {
        this.lastOpenDate = lastOpenDate;
    }

}
